--TEST--
Test CSV::collectionToBuffer() with an Iterator as a collection
--SKIPIF--
<?php
if (!extension_loaded('csv')) {
	echo 'skip';
}
?>
--FILE--
<?php

class Collection implements Iterator {
    private const ROWS = [
        [
            'One',
            'Two',
            'Three',
        ],
        [
            'Un',
            'Deux',
            'Trois',
        ],
        [
            'Ichi',
            'Ni',
            'San',
        ],
    ];

    protected $i = 0;

    public function rewind() {
        $this->i = 0;
    }

    public function valid() {
        return $this->i < 3;
    }

    public function current() {
        return self::ROWS[$this->i];
    }

    public function key() {
        return $this->i;
    }

    public function next() {
        $this->i++;
    }

    public function __destruct() {}
}

$collection = new Collection();

$output = "One,Two,Three\r\nUn,Deux,Trois\r\nIchi,Ni,San\r\n";

var_dump($output === CSV::collectionToBuffer($collection));
var_dump(CSV::collectionToBuffer($collection));
var_dump(CSV::collectionToBuffer($collection, ','));
var_dump(CSV::collectionToBuffer($collection, ',', '"'));
var_dump(CSV::collectionToBuffer($collection, ',', '"', "\r\n"));

?>
--EXPECT--
bool(true)
string(43) "One,Two,Three
Un,Deux,Trois
Ichi,Ni,San
"
string(43) "One,Two,Three
Un,Deux,Trois
Ichi,Ni,San
"
string(43) "One,Two,Three
Un,Deux,Trois
Ichi,Ni,San
"
string(43) "One,Two,Three
Un,Deux,Trois
Ichi,Ni,San
"
